> For the complete documentation index, see [llms.txt](https://docs.editran.onesait.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.editran.onesait.com/documentacion-editran/publico-editranff-lite-v7-open-en/linux/administradorff/aplicaciones-para-firmar-ficheros.md).

# Applications for signing files

The button will be pressed to access the view through which the information related to the signing applications can be configured. In the view, click on ![](https://content.gitbook.com/content/04WMoASrRViaNE1vVCAL/blobs/fH1kvnrN1PCESXdopaAe/image1.png) to add a new application in which the following fields must be completed:

![](https://content.gitbook.com/content/04WMoASrRViaNE1vVCAL/blobs/7JNiXRR2XpioDNQX0E6N/image2.png)

* **Name:** identifier of the application in the system. **The words&#x20;*****apps*****&#x20;and&#x20;*****users*****&#x20;are reserved and cannot be used to identify applications.**
* **Signing mode:** drop-down in which the type of signature with which the files will be signed will be selected. **For Iberpay-related applications, the mode XADES\_DETACHED\_INTERNA\_EXPLICITA\_UNFICH must be selected.**
* **Signature directory:** path where the signatures will be saved once created. The directory must exist.
* **Data directory:** path where the files to be signed are located. The directory must exist.
* **XAdES template**: document with XML format, according to Editran's proprietary schema, which establishes sets of features that are configurable in XAdES signatures (hash algorithm length applied, BES or EPES protection level, mandatory labels, etc.). Examples corresponding to the different signature modes of the combo are provided with the distribution. They can be modified and new ones created, as long as the final template file complies with the SignatureServices/rsc/plantillafirma.xsd schema. **For Iberpay-related applications, the template must be selected:&#x20;*****SignatureServices/plantillas/pln-di-e-unfich-BES.xml***
* **Check revocation**: parameter with which it is indicated whether or not the revocation status of each signing certificate must be validated. For this functionality, the machine must have internet access, the proxy section must be configured if applicable or the parameters for Connection with remote Editran OCSP must be indicated, both in the general configuration of Administrator/FF.
* **Associated with tx**: parameter indicating that the application is intended to be associated with Editran. In this version this functionality is not operational, so it must remain unchecked.

![](https://content.gitbook.com/content/04WMoASrRViaNE1vVCAL/blobs/eeokHfRvgwtnotSajFsp/image3.png)

To delete an application, select it in the list and click the button ![](https://content.gitbook.com/content/04WMoASrRViaNE1vVCAL/blobs/pGq1vfPo695vSc95QgpY/image4.png) .

By pressing the button *Save all* ![](https://content.gitbook.com/content/04WMoASrRViaNE1vVCAL/blobs/rdBsVvsa9f0ahf3Hed2x/image5.png) at the top, the information will be stored in the system. If there is any problem, an informational message with the cause will appear.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.editran.onesait.com/documentacion-editran/publico-editranff-lite-v7-open-en/linux/administradorff/aplicaciones-para-firmar-ficheros.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
